Bug 97841 - Gcc failed to bootstrap on ia64
Summary: Gcc failed to bootstrap on ia64
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 1.0
Hardware: ia64 Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL: http://gcc.gnu.org/bugzilla/show_bug....
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-23 03:35 UTC by hjl
Modified: 2007-04-18 16:54 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-23 15:42:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description hjl 2003-06-23 03:35:32 UTC
Gcc from gcc-3_3-rhl-branch in cvs on Sun Jun 22 16:04:11 UTC 2003
failed to bootstrap under Linux/ia64 on Itanium 2 running RHAS 2.1.
The last known working one was checked out on Wed Jun 18 15:04:48 UTC
2003. The same gcc bootstrapped successfully on Itanium 1 running
RHAS 2.1. The error message is

Bootstrap comparison failure!
java/decl.o differs
make[3]: *** [compare] Error 1
make[3]: Leaving directory `/export/build/gnu/gcc-3.3-redhat/build-ia64-
linux/gcc'
make[2]: *** [bootstrap] Error 2
make[2]: Leaving directory `/export/build/gnu/gcc-3.3-redhat/build-ia64-linux'
Command exited with non-zero status 2

Comment 1 hjl 2003-06-23 15:05:14 UTC
It turned out that it is a gcc bug exposed by a kernel bug. I am
running 2.4.18-e.31smp. When I configure gcc, I got

checking for working mmap from /dev/zero... no
checking for working mmap with MAP_ANON(YMOUS)... no

As the result, I had

/* #undef HAVE_MMAP_DEV_ZERO */
/* #undef HAVE_MMAP_ANON */
#define HAVE_MMAP_FILE 1

in auto-host.h. Apparently, ggc-page.c doesn't work too well with
this configuration.


Comment 2 hjl 2003-06-23 15:35:39 UTC
It may be a known bug in gcc. which has been fixed on
mainline. See URL for details

Comment 3 Jakub Jelinek 2003-07-23 15:42:58 UTC
Fixed on gcc-3_3-rhl-branch.


Note You need to log in before you can comment on or make changes to this bug.